Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::RcStyle Class Reference

A GtkRcStyle C++ wrapper class. More...

`#include <inti/gtk/rc.h>`

Inheritance diagram for Inti::Gtk::RcStyle:

List of all members.

## Public Member Functions

Constructors

- RcStyle ()
    Construct a new RcStyle with no fields set and a reference count of 1.
- RcStyle (const RcStyle &src)
    Makes a copy of the specified RcStyle.
- virtual ~RcStyle ()
    Destructor.
- RcStyle & operator= (const RcStyle &src)
    Makes a copy of the specified RcStyle.

Accessors

- GtkRcStyle * gtk_rc_style () const
    Get a pointer to the GtkRcStyle structure.
- GtkRcStyleClass * gtk_rc_style_class () const
    Get a pointer to the GtkRcStyleClass structure.
- operator GtkRcStyle * () const
    Conversion operator; safely converts a RcStyle to a GtkRcStyle pointer.

## Protected Member Functions

Constructors

- RcStyle (GtkRcStyle *rc_style, bool reference=true)
    Construct a new RcStyle from an existing GtkRcStyle.

## Detailed Description

A GtkRcStyle C++ wrapper class.

The RcStyle structure is used to represent a set of information about the appearance of a widget. This can later be composited together with other RcStyle structures to form a Style.

## Constructor & Destructor Documentation

Inti::Gtk::RcStyle::RcStyle | ( | GtkRcStyle * | rc_style,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new RcStyle from an existing GtkRcStyle. Parameters:
  rc_style | A pointer to a GtkRcStyle.
  reference | Set false if the initial reference count is floating, set true if it's not.
The rc_style can be a newly created GtkRcStyle or an existing GtkRcStyle (see G::Object::Object).

Inti::Gtk::RcStyle::RcStyle | ( | const RcStyle & | src | ) |

| Makes a copy of the specified RcStyle. This constructor will correctly copy an RC style that is a member of a class derived from RcStyle.

## Member Function Documentation

RcStyle& Inti::Gtk::RcStyle::operator= | ( | const RcStyle & | src | ) |

| Makes a copy of the specified RcStyle. The assignemnt operator will correctly copy an RC style that is a member of a class derived from RcStyle.

The documentation for this class was generated from the following file:

- rc.h

Main Page - Footer